import request from '@/utils/request'

// 查询页面管理列表
export function listPageControl(query) {
  return request({
    url: '/hnyz/pageControl/list',
    method: 'get',
    params: query
  })
}

// 查询页面管理详细
export function getPageControl(pageId) {
  return request({
    url: '/hnyz/pageControl/' + pageId,
    method: 'get'
  })
}

// 新增页面管理
export function addPageControl(data) {
  return request({
    url: '/hnyz/pageControl',
    method: 'post',
    data: data
  })
}

// 修改页面管理
export function updatePageControl(data) {
  return request({
    url: '/hnyz/pageControl',
    method: 'put',
    data: data
  })
}

// 删除页面管理
export function delPageControl(pageId) {
  return request({
    url: '/hnyz/pageControl/' + pageId,
    method: 'delete'
  })
}

//获取页面管理下拉框
export function getPageList({ equipmentId }) {
  return request({
    url: '/hnyz/pageControl/getPageList',
    method: 'get',
    params: {
      equipmentId: equipmentId,
    }
  })
}
